Oracle Database Server Multiple Vulnerabilities (July 2018 CPU)

Critical Nessus Plugin ID 111219

Synopsis

The remote database server is affected by multiple vulnerabilities.

Description

The remote Oracle Database Server is missing the July 2018 Critical Patch Update (CPU). It is, therefore, affected by multiple vulnerabilities:

- An unspecified vulnerability in the Oracle Spatial (jackson-databind) component of Oracle Database Server allows an unauthenticated, remote attacker with network access via multiple protocols to compromise Oracle Spatial. (CVE-2017-15095)

- An unspecified vulnerability in the Core RDBMS component of Oracle Database Server allows a low privileged attacker to inject or manipulate RDBMS data, resulting in compromise of Core RDBMS. (CVE-2018-2939)

- An unspecified vulnerability in the Java VM component of Oracle Database Server allows a low privileged attacker with Create Session, Create Procedure privilege to compromise a Java VM. (CVE-2018-3004, CVE-2018-3110)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Apply the appropriate patch according to the July 2018 Oracle Critical Patch Update advisory.

See Also

http://www.nessus.org/u?50f36723

http://www.nessus.org/u?2f4d652e

Plugin Details

Severity: Critical

ID: 111219

File Name: oracle_rdbms_cpu_jul_2018.nasl

Version: 1.7

Type: local

Family: Databases

Published: 2018/07/20

Modified: 2018/12/06

Dependencies: 45624, 71644

Risk Information

Risk Factor: Critical

CVSS Score Source: CVE-2017-15095

CVSS v2.0

Base Score: 10

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: cpe:/a:oracle:database_server

Patch Publication Date: 2018/07/17

Vulnerability Publication Date: 2018/07/17

Reference Information

CVE: CVE-2017-15095, CVE-2018-2939, CVE-2018-3004, CVE-2018-3110

BID: 103880

IAVA: 2018-A-0223